#!/bin/ksh
#=========================================================================
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 09 avril 2008
#  Projet      : CFT et flux SAS
#  Version     : 1.0
#
#  Description : - traitement MAD WSASMADE
#                  generer les GDG style MVS
#
#--------------------------------------------------------------------------------------
#
#=============================================================================================================
#============== DEBUT TRT
#=============================================================================================================
#
#------------- copie des parametres generaux aux procs WSASMAD

 . ~cft/filinst/PROD/TRT_WSASMADE/Debut_trt_WSASMAD.cpy

#-------- appeler le script generant les GDG

PATH=$PATH:/outils_exp/Sas/shell

#-------- faire ou pas faire de GDG - voir variable dans Debut_trt_WSASMAD.cpy
test ${gdgafaire} -eq 0 && exit 0

#--xxgon le 05/05/2008 ---- pas la peine de mettre le nombre de gdg par defaut c est 5
#--- gdg reference dans : $BTOUTILSX/config/gdg_parametre.conf
# gdg_config.sh "${ficout}" 5
#=== le 14 05 2008 xxgon probleme il faut le parm nbre de gene 
gdg_config.sh "${ficout}" 5

#------ nouvelle version dans laquelle on copie le fichier recu
 mv "${repout}/${ficout}" $( gdg_version.sh "${repout}/${ficout}" +1 )

#------ version temporarire en version definitive GDG
gdg_archive.sh "${repout}/${ficout}"

ls -ltr "${repout}/${ficout}"*

exit ${RC}
