#!/bin/ksh
#=========================================================================
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 09 avril 2008
#  Projet      : CFT et flux SAS
#  Version     : 1.0
#
#  Description : - traitement MAD WSASMADE
#                  modifier les droits du fichier mis a disposition dans un domaine SAS
#
#--------------------------------------------------------------------------------------
#
#=============================================================================================================
#============== DEBUT TRT
#=============================================================================================================
#
#------------- copie des parametres generaux aux procs WSASMAD

 . ~cft/filinst/PROD/TRT_WSASMADE/Debut_trt_WSASMAD.cpy

#------------- mettre owner group utilisateur group = valeur champ parm cft contenant le domaine SAS cible
OwneR=dersstat
GroupE=${cft_parm}

case ${GroupE} in
    VIEILLESSE)   GroupE=VIEILLES
                    ;;
    COTISATION)   GroupE=COTIS
                    ;;
esac

if test ${gdgafaire} -eq 0
then
 chown ${OwneR}:${GroupE} "${repout}/${ficout}"
else
 chown ${OwneR}:${GroupE} "${repout}/${ficout}.gdg"*
fi
 test $? -ne 0 && exit 9

#------------- supprimer le fichier recu par cft

 rm "${repficin}"
 test $? -ne 0 && exit 9

exit ${RC}
